## org.apache.poi.ss.formula
Class CollaboratingWorkbooksEnvironment

    java.lang.Object
      org.apache.poi.ss.formula.CollaboratingWorkbooksEnvironment

    public final class CollaboratingWorkbooksEnvironment

extends java.lang.Object

Manages a collection of `WorkbookEvaluator`s, in order to support evaluation of formulas across spreadsheets.

For POI internal use only

Author:
  Josh Micich

Nested Class Summary
`static class` `CollaboratingWorkbooksEnvironment.WorkbookNotFoundException`

Field Summary
`static CollaboratingWorkbooksEnvironment` `EMPTY`

Method Summary
`WorkbookEvaluator` `getWorkbookEvaluator(java.lang.String workbookName)`
`static void` `setup(java.lang.String[] workbookNames, WorkbookEvaluator[] evaluators)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final CollaboratingWorkbooksEnvironment EMPTY

Method Detail

### setup

    public static void setup(java.lang.String[] workbookNames,
                             WorkbookEvaluator[] evaluators)

### getWorkbookEvaluator

    public WorkbookEvaluator getWorkbookEvaluator(java.lang.String workbookName)
                                           throws CollaboratingWorkbooksEnvironment.WorkbookNotFoundException

  Throws:
    `CollaboratingWorkbooksEnvironment.WorkbookNotFoundException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.